Subject: bug#1071: Looping in redisplay due to font problem

From: Kenichi Handa <[email-masked]>
Date: Fri, 03 Oct 2008 10:24:18 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> After the 2008-07-09 change to ftfont.c, Emacs can loop during redisplay
> under the following conditions:

> xrdb /dev/null
> emacs -Q fc-list.list   [fc-list.list is attached]
> <PageDown>
> <PageDown>
> <PageDown>
> <PageDown>

> Emacs begins looping while in redisplay, while displaying the text
> "Corsivo" (the final letter "o" blinks rapidly).

> Strangely enough, I can't reproduce this if I substitute C-v for
> PageDown (?!??!).  Also, the bug doesn't show up if there is an X
> resource Emacs.geometry already defined.

> The problem seems to have appeared for the first time during the checkin
> listed below.  My tests indicate that the other files involved this
> checkin do not affect the problem.

> Could you see if you can reproduce this problem, and review the code
> changes to see if they may have caused it?  Thanks!

That's a very strange phenomenon.  But, I can't reproduce
it.  When I hit PageDown four times, the top line is "Luxi
Sans:style=Regular", and "Corsivo" appears on the 9th line
(logically 8th line because of continuation).

In my case, this font is selected for the default case:

-bitstream-Bitstream Vera Sans Mono-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1

Which font is selected in your case?

And, what does "Emacs begins looping while in redisplay"
exactly mean?

---
Kenichi Handa
[email-masked]